%define	upstream_name    DateTime-TimeZone
%define upstream_version 1.64

# circular dependency
%define _requires_exceptions perl(DateTime)\\|perl(DateTime::Duration)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Time zone object base class and factory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(Class::Singleton) >= 1.30.0
BuildRequires: perl(Cwd) >= 3.0.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Params::Validate) >= 0.720.0
BuildRequires: perl(Storable)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

Provides:   perl(DateTime::TimeZoneCatalog)

%description
This perl module defines the base class for all time zone objects. A time zone
is represented internally as a set of observances, each of which describes the
offset from GMT for a given time period.

Note that without the DateTime.pm module, this module does not do much. Its
primary interface is through a DateTime object, and most users will not need to
directly use DateTime::TimeZone methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/DateTime
%{_mandir}/*/*

%changelog
* Mon Feb 24 2014 jquelin <jquelin> 1:1.640.0-1.mga3
+ Revision: 596207
- update to 1.64

* Sun Jan 13 2013 umeabot <umeabot> 1:1.560.0-2.mga3
+ Revision: 365668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1:1.560.0-1.mga3
+ Revision: 342061
- update to 1.56

* Wed Nov 14 2012 jquelin <jquelin> 1:1.540.0-1.mga3
+ Revision: 317625
- update to 1.54

* Wed Nov 07 2012 jquelin <jquelin> 1:1.530.0-1.mga3
+ Revision: 316045
- update to 1.53

* Mon Sep 17 2012 jquelin <jquelin> 1:1.500.0-1.mga3
+ Revision: 294980
- update to 1.50

* Fri Aug 31 2012 kharec <kharec> 1:1.480.0-1.mga3
+ Revision: 286051
- update to 1.48

* Tue Jun 05 2012 jquelin <jquelin> 1:1.460.0-1.mga3
+ Revision: 254842
- update to 1.46

* Mon Mar 05 2012 jquelin <jquelin> 1:1.450.0-1.mga2
+ Revision: 218692
- update to 1.45

* Thu Nov 10 2011 kharec <kharec> 1:1.420.0-1.mga2
+ Revision: 166311
- update to 1.42

* Sat Nov 05 2011 kharec <kharec> 1:1.410.0-1.mga2
+ Revision: 163764
- update to 1.41

* Fri Oct 14 2011 jquelin <jquelin> 1:1.400.0-1.mga2
+ Revision: 154755
- update to 1.40

* Wed Aug 31 2011 jquelin <jquelin> 1:1.360.0-1.mga2
+ Revision: 137002
- update to 1.36

* Fri Jul 08 2011 jquelin <jquelin> 1:1.350.0-1.mga2
+ Revision: 120379
- update to 1.35

* Wed Jun 15 2011 jquelin <jquelin> 1:1.340.0-1.mga2
+ Revision: 106814
- update to 1.34

* Tue Apr 12 2011 jquelin <jquelin> 1:1.330.0-1.mga1
+ Revision: 83754
- update to 1.33

* Sun Apr 03 2011 jquelin <jquelin> 1:1.320.0-1.mga1
+ Revision: 80068
- update to 1.32

* Thu Mar 24 2011 jquelin <jquelin> 1:1.310.0-1.mga1
+ Revision: 76621
- update to 1.31

* Wed Mar 16 2011 jquelin <jquelin> 1:1.300.0-1.mga1
+ Revision: 72334
- update to 1.30

* Wed Mar 09 2011 jquelin <jquelin> 1:1.290.0-1.mga1
+ Revision: 66969
- update to 1.29

* Fri Feb 25 2011 jquelin <jquelin> 1:1.280.0-1.mga1
+ Revision: 59721
- update to 1.28

* Mon Jan 31 2011 dmorgan <dmorgan> 1:1.270.0-1.mga1
+ Revision: 45211
- New version

* Sun Jan 23 2011 jquelin <jquelin> 1:1.260.0-1.mga1
+ Revision: 33704
- mageia rebuild
- imported package perl-DateTime-TimeZone

